Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSConstraints

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSConstraints

public class XSConstraints
extends java.lang.Object

Constaints shared by traversers and validator

Constructor Summary
`XSConstraints()`

Method Summary
`static boolean` | `checkComplexDerivationOk(XSComplexTypeDecl derived, XSTypeDecl base, short block)` check whether complex type derived is valid derived from base, given a subset of {restriction, extension}.
`static void` | `checkElementDeclsConsistent(XSComplexTypeDecl type, XSParticleDecl particle, SymbolHash elemDeclHash, SubstitutionGroupHandler sgHandler)`
`static boolean` | `checkSimpleDerivationOk(XSSimpleType derived, XSTypeDecl base, short block)` check whether simple type derived is valid derived from base, given a subset of {restriction, extension}.
`static boolean` | `checkTypeDerivationOk(XSTypeDecl derived, XSTypeDecl base, short block)` check whether derived is valid derived from base, given a subset of {restriction, extension}.
`static java.lang.Object` | `ElementDefaultValidImmediate(XSTypeDecl type, java.lang.Object value, ValidationContext context, ValidatedInfo vinfo)` check whether a value is a valid default for some type returns the compiled form of the value The parameter value could be either a String or a ValidatedInfo object
`static void` | `findElemInTable(XSComplexTypeDecl type, XSElementDecl elem, SymbolHash elemDeclHash)`
`static void` | `fullSchemaChecking(XSGrammarBucket grammarBucket, SubstitutionGroupHandler SGHandler, weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder, XMLErrorReporter errorReporter)` used to check the 3 constraints against each complex type (should be each model group): Unique Particle Attribution, Particle Derivation (Restriction), Element Declrations Consistent.
`static boolean` | `overlapUPA(java.lang.Object decl1, java.lang.Object decl2, SubstitutionGroupHandler sgHandler)`
`static boolean` | `overlapUPA(XSElementDecl element1, XSElementDecl element2, SubstitutionGroupHandler sgHandler)`
`static boolean` | `overlapUPA(XSElementDecl element, XSWildcardDecl wildcard, SubstitutionGroupHandler sgHandler)`
`static boolean` | `overlapUPA(XSWildcardDecl wildcard1, XSWildcardDecl wildcard2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSConstraints

    public XSConstraints()

Method Detail

### checkTypeDerivationOk

    public static boolean checkTypeDerivationOk(XSTypeDecl derived,
                                                XSTypeDecl base,
                                                short block)

  check whether derived is valid derived from base, given a subset of {restriction, extension}.

### checkSimpleDerivationOk

    public static boolean checkSimpleDerivationOk(XSSimpleType derived,
                                                  XSTypeDecl base,
                                                  short block)

  check whether simple type derived is valid derived from base, given a subset of {restriction, extension}.

### checkComplexDerivationOk

    public static boolean checkComplexDerivationOk(XSComplexTypeDecl derived,
                                                   XSTypeDecl base,
                                                   short block)

  check whether complex type derived is valid derived from base, given a subset of {restriction, extension}.

### ElementDefaultValidImmediate

    public static java.lang.Object ElementDefaultValidImmediate(XSTypeDecl type,
                                                                java.lang.Object value,
                                                                ValidationContext context,
                                                                ValidatedInfo vinfo)

  check whether a value is a valid default for some type returns the compiled form of the value The parameter value could be either a String or a ValidatedInfo object

### fullSchemaChecking

    public static void fullSchemaChecking(XSGrammarBucket grammarBucket,
                                          SubstitutionGroupHandler SGHandler,
                                          weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder,
                                          XMLErrorReporter errorReporter)

  used to check the 3 constraints against each complex type (should be each model group): Unique Particle Attribution, Particle Derivation (Restriction), Element Declrations Consistent.

### checkElementDeclsConsistent

    public static void checkElementDeclsConsistent(XSComplexTypeDecl type,
                                                   XSParticleDecl particle,
                                                   SymbolHash elemDeclHash,
                                                   SubstitutionGroupHandler sgHandler)
                                            throws XMLSchemaException

### findElemInTable

    public static void findElemInTable(XSComplexTypeDecl type,
                                       XSElementDecl elem,
                                       SymbolHash elemDeclHash)
                                throws XMLSchemaException

### overlapUPA

    public static boolean overlapUPA(XSElementDecl element1,
                                     XSElementDecl element2,
                                     SubstitutionGroupHandler sgHandler)

### overlapUPA

    public static boolean overlapUPA(XSElementDecl element,
                                     XSWildcardDecl wildcard,
                                     SubstitutionGroupHandler sgHandler)

### overlapUPA

    public static boolean overlapUPA(XSWildcardDecl wildcard1,
                                     XSWildcardDecl wildcard2)

### overlapUPA

    public static boolean overlapUPA(java.lang.Object decl1,
                                     java.lang.Object decl2,
                                     SubstitutionGroupHandler sgHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD